| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxStringClientData Class Reference
Containers

`#include <wx/clntdata.h>`

Inheritance diagram for wxStringClientData:
[legend]

## Detailed Description

Predefined client data class for holding a string.

##

Library: wxBase
Category: Containers

## Public Member Functions
| wxStringClientData ()
| Default constructor.
| wxStringClientData (const wxString &data)
| Create client data with string.
const wxString & | GetData () const
| Get string client data.
void | SetData (const wxString &data)
| Set string client data.
Public Member Functions inherited from wxClientData
| wxClientData ()
| Constructor.
virtual | ~wxClientData ()
| Virtual destructor.

## Constructor & Destructor Documentation

wxStringClientData::wxStringClientData | ( |  | ) |

Default constructor.

wxStringClientData::wxStringClientData | ( | const wxString & | data | ) |

Create client data with string.

## Member Function Documentation

const wxString& wxStringClientData::GetData | ( |  | ) | const

Get string client data.

void wxStringClientData::SetData | ( | const wxString & | data | ) |

Set string client data.